Installation SNAFU

If you are having a problem using Vault, post a message here.

Moderator: SourceGear

Post Reply
Mordachai
Posts: 84
Joined: Sun Feb 24, 2013 11:58 am

Installation SNAFU

Post by Mordachai » Thu Jun 29, 2017 11:50 am

I'm migrating VAULT 9.1 standard from an older Win Server 2012 (not R2) to a new Win Server 2016 machine.

I was following the advice / procedures given here:
viewtopic.php?t=924

All went well until I installed Vault on the new server, as Admin, and it appeared to install successfully (installer was happy), but it tried to launch the web browser, and I got:

Code: Select all

HTTP Error 500.19 - Internal Server Error
The requested page cannot be accessed because the related configuration data for the page is invalid.

Detailed Error Information:
Module	   IIS Web Core
Notification	   BeginRequest
Handler	   Not yet determined
Error Code	   0x80070021
Config Error	   This configuration section cannot be used at this path. This happens when the section is locked at a parent level. Locking is either by default (overrideModeDefault="Deny"), or set explicitly by a location tag with overrideMode="Deny" or the legacy allowOverride="false".
Config File	   \\?\C:\inetpub\wwwroot\VaultService\web.config
Requested URL	   http://build-server:80/VaultService/VaultWeb/Login.aspx?ReturnUrl=%2fvaultservice%2fAdmin%2fLicenses.aspx&message=Please%20log%20in%20using%20the%20%22admin%22%20username%20and%20the%20password%20that%20you%20supplied%20during%20the%20install.
Physical Path	   C:\inetpub\wwwroot\VaultService\VaultWeb\Login.aspx
Logon Method	   Not yet determined
Logon User	   Not yet determined

Config Source:
  205:   <system.webServer>
  206:     <handlers>
  207:       <remove name="ReportViewerWebControlHandler"/>

More Information:
This error occurs when there is a problem reading the configuration file for the Web server or Web application. In some cases, the event logs may contain more information about what caused this error.
View more information »
I looked at the Web.config file referred to in that error report - but it doesn't contain "override" at all.

Help!

jclausius
Posts: 3620
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
Contact:

Re: Installation SNAFU

Post by jclausius » Thu Jun 29, 2017 12:53 pm

On the new Windows Server 2016, can you double check the Web Server Roles to see if 'ASP.NET 4.5' (or higher) and its various dependent options are checked and installed?
Jeff Clausius
SourceGear

Mordachai
Posts: 84
Joined: Sun Feb 24, 2013 11:58 am

Re: Installation SNAFU

Post by Mordachai » Thu Jun 29, 2017 1:20 pm

Untitled.png
Untitled.png (40.84 KiB) Viewed 4191 times
That's a screen shot of server roles.

I see ASP .NET 3.5 or 4.6.

Are there others that need to be enabled - and if you know - where should I have found a discussion of which roles must be installed with which options for Vault (so I can record that link my documentation for future maint / migration)?

I'm going to try 4.6 for now, see where that goes...

Will I need to redo the install of Vault server, do you know?

Mordachai
Posts: 84
Joined: Sun Feb 24, 2013 11:58 am

Re: Installation SNAFU

Post by Mordachai » Thu Jun 29, 2017 1:30 pm

NVM - your post did it. :D (Thank You!)

Just enabling 4.6 - asked for whether to include other bits - I said yes - and all is well so far!

jclausius
Posts: 3620
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
Contact:

Re: Installation SNAFU

Post by jclausius » Thu Jun 29, 2017 1:40 pm

Sorry about the incorrect name. I was going off of a Windows Server 2012, but the concept is the same -> Application Development / ASP.NET must be installed for Vault Server to operate. I modified my post above to reflect this.

Glad you're up and running. Thank you for using SourceGear Vault!
Jeff Clausius
SourceGear

Post Reply